Project Chrono: chrono::vehicle::ChTrackTestRigInteractiveDriverVSG Class Reference

Public Member Functions | List of all members
chrono::vehicle::ChTrackTestRigInteractiveDriverVSG Class Reference
VEHICLE module » Tracked vehicles » Track test rig classes

## Description

VSG-based GUI driver for the a track test rig.

This class implements the functionality required by its base class using keyboard inputs.

`#include <ChTrackTestRigInteractiveDriverVSG.h>`

Inheritance diagram for chrono::vehicle::ChTrackTestRigInteractiveDriverVSG:
[legend]
Collaboration diagram for chrono::vehicle::ChTrackTestRigInteractiveDriverVSG:
[legend]

## Public Member Functions
| ChTrackTestRigInteractiveDriverVSG (vsg3d::ChVisualSystemVSG &vsys)
void | SetThrottleDelta (double delta)
void | SetDisplacementDelta (double delta)
Public Member Functions inherited from chrono::vehicle::ChTrackTestRigDriver
double | GetDisplacement (int index) const
| Get the specified post vertical displacement (in the range [-1,+1]).
double | GetDisplacementSpeed (int index) const
| Get the specified post vertical displacement rate of change.
double | GetThrottle () const
| Get the driver throttle input (in the range [-1,+1]).
bool | Started () const
| Return false while driver inputs are ignored (while the rig is reaching the ride height configuration) and true otherwise.
virtual bool | Ended () const
| Return true when driver stopped producing inputs.

## Additional Inherited Members
Protected Member Functions inherited from chrono::vehicle::ChTrackTestRigDriver
void | SetDisplacement (int index, double val, double min_val=-1, double max_val=1)
| Overwrite the value for the specified post displacement input.
void | SetThrottle (double val, double min_val=-1, double max_val=1)
| Overwrite the value for the throttle input.
virtual void | Initialize (size_t num_posts, const std::vector< double > &locations)
| Initialize this driver system.
virtual void | Synchronize (double time)
| Update the state of this driver system at the current time.
bool | LogInit (const std::string &filename)
| Initialize output file for recording driver inputs.
bool | Log (double time)
| Record the current driver inputs to the log file.
void | SetTimeDelay (double delay)
| Set value of the time delay.
Protected Attributes inherited from chrono::vehicle::ChTrackTestRigDriver
std::vector< double > | m_displ
| current values of post displacements
std::vector< double > | m_displSpeed
| current value of post displacement rates of change
double | m_throttle
| current value of throttle input
double | m_delay
| time delay before generating inputs
std::vector< double > | m_locations
| post locations in X direction

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/tracked_vehicle/test_rig/ChTrackTestRigInteractiveDriverVSG.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/tracked_vehicle/test_rig/ChTrackTestRigInteractiveDriverVSG.cpp